Skip to content

getInventoryValuation

READ

Get inventory valuation.

POST /api/v1/inventory/getInventoryValuation
curl -X POST '<your-host>/api/v1/inventory/getInventoryValuation' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "asOfDate": "string",
    "locationId": "string"
  }'
Response
{
  "results": [
    {
      "costingMethod": "Average",
      "itemId": "string",
      "locationId": "string",
      "locationName": "string",
      "name": "string",
      "quantityOnHand": 0,
      "quantityOnHold": 0,
      "quantityRejected": 0,
      "readableIdWithRevision": "string",
      "replenishmentSystem": "Buy",
      "thumbnailPath": "string",
      "totalValue": 0,
      "type": "Part",
      "unitCost": 0,
      "unitOfMeasureCode": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "asOfDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "locationId": {
      "type": [
        "string",
        "null"
      ]
    }
  }
}